version: '3.8'

services:
  server:
    build: ./server
    volumes:
      - './server:/app'
    command: gunicorn --bind 0.0.0.0:5000 -w 1 --threads 100 server:app
    environment:
      FLASK_DEBUG: 1
      FLASK_ENV: development
      FLASK_APP: server.py
    ports:
      - '5000:5000'
  front:
    image: node
    volumes:
      - ./bin/start.front.sh:/start.sh
      - './front:/app'
    entrypoint: sh -c "sh /start.sh"
    ports:
      - 4000:3000
